> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Task Comment

> Comment on a task. Mentioned staff members are notified.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/tasks/{task_id}/comments
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/tasks/{task_id}/comments:
    post:
      tags:
        - Tasks
      summary: Add Task Comment
      description: Comment on a task. Mentioned staff members are notified.
      operationId: add_task_comment
      parameters:
        - in: path
          name: task_id
          schema:
            description: Task UUID or identifier such as TASK-12
            title: Task Id
            type: string
          required: true
          description: Task UUID or identifier such as TASK-12
        - in: header
          name: Idempotency-Key
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Idempotency-Key
          required: false
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskCommentIn'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskCommentOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    TaskCommentIn:
      properties:
        content:
          maxLength: 10000
          title: Content
          type: string
        mention_ids:
          items:
            format: uuid
            type: string
          maxItems: 20
          title: Mention Ids
          type: array
      required:
        - content
      title: TaskCommentIn
      type: object
    TaskCommentOut:
      properties:
        id:
          title: Id
          type: string
        task_id:
          title: Task Id
          type: string
        author:
          anyOf:
            - $ref: '#/components/schemas/TaskUserRef'
            - type: 'null'
        content:
          title: Content
          type: string
        mentions:
          items:
            $ref: '#/components/schemas/TaskUserRef'
          title: Mentions
          type: array
        edited_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Edited At
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - id
        - task_id
        - content
        - mentions
        - created_at
      title: TaskCommentOut
      type: object
    TaskUserRef:
      properties:
        id:
          title: Id
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
      required:
        - id
      title: TaskUserRef
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.